Package org.zkoss.zk.ui.sys

## Class ExecutionsCtrl

- java.lang.Object
- - org.zkoss.zk.ui.Executions
  - - org.zkoss.zk.ui.sys.ExecutionsCtrl

-     public class ExecutionsCtrl
      extends Executions

  Additional utilities for `Execution`.
  Author:
    tomyeh

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.ui.Executions

      `_exec`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ExecutionsCtrl()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionCtrl` | `getCurrentCtrl()` | Returns the current `ExecutionCtrl`.
    `static java.lang.String` | `getPageRedrawControl​(Execution exec)` | Returns the page redraw control.
    `static void` | `setCurrent​(Execution exec)` | Sets the execution for the current thread.

    - ### Methods inherited from class org.zkoss.zk.ui.Executions

      `activate, activate, createComponents, createComponents, createComponents, createComponents, createComponents, createComponentsDirectly, createComponentsDirectly, createComponentsDirectly, createComponentsDirectly, createComponentsDirectly, createComponentsDirectly, deactivate, encodeToURL, encodeURL, evaluate, evaluate, forward, getCurrent, getEvaluator, getEvaluator, getPageDefinition, getPageDefinitionDirectly, getPageDefinitionDirectly, getPageDefinitionDirectly, include, notify, notify, notifyAll, notifyAll, schedule, sendRedirect, wait`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionsCtrl

          protected ExecutionsCtrl()

  - ### Method Detail

    - #### setCurrent

          public static final void setCurrent​(Execution exec)

      Sets the execution for the current thread. Called only internally.

      Note: you have to clean up the current execution with try/finally:

           setCurrent(exec);
           try {
           ...
           finally {
             setCurrent(null);
           }

    - #### getCurrentCtrl

          public static final ExecutionCtrl getCurrentCtrl()

      Returns the current `ExecutionCtrl`.

    - #### getPageRedrawControl

          public static final java.lang.String getPageRedrawControl​(Execution exec)

      Returns the page redraw control. It first check if a request attribute called `Attributes.PAGE_REDRAW_CONTROL` is defined. If not, it checks a request parameter called `zk.redrawCtrl` is defined. If none of them is defined, null is returned.
      Since:
        5.0.0